> ## Documentation Index
> Fetch the complete documentation index at: https://skyvern.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Search available managed SMS numbers

> Search for available US Skyvern-managed SMS numbers, optionally by area code.



## OpenAPI

````yaml /api-reference/openapi.json get /v1/sms-numbers/available
openapi: 3.1.0
info:
  title: Skyvern API
  description: API for Skyvern
  version: 1.0.0
servers:
  - url: https://api.skyvern.com
    x-fern-server-name: Cloud
security: []
paths:
  /v1/sms-numbers/available:
    get:
      tags:
        - Credentials
      summary: Search available managed SMS numbers
      description: >-
        Search for available US Skyvern-managed SMS numbers, optionally by area
        code.
      operationId: search_available_numbers_v1_sms_numbers_available_get
      parameters:
        - name: area_code
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                minLength: 3
                maxLength: 3
                pattern: ^[2-9][0-9]{2}$
              - type: 'null'
            title: Area Code
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/AvailableManagedPhoneNumber'
                title: Response Search Available Numbers V1 Sms Numbers Available Get
        '403':
          description: Managed SMS numbers are not enabled or the plan is not entitled
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
        '502':
          description: The phone number provider request failed
      security:
        - ApiKeyAuth: []
components:
  schemas:
    AvailableManagedPhoneNumber:
      properties:
        phone_number:
          type: string
          title: Phone Number
        friendly_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Friendly Name
        locality:
          anyOf:
            - type: string
            - type: 'null'
          title: Locality
        region:
          anyOf:
            - type: string
            - type: 'null'
          title: Region
        iso_country:
          anyOf:
            - type: string
            - type: 'null'
          title: Iso Country
        monthly_price_cents:
          type: integer
          title: Monthly Price Cents
      type: object
      required:
        - phone_number
        - monthly_price_cents
      title: AvailableManagedPhoneNumber
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      description: Your Skyvern API key from https://app.skyvern.com/settings.
      in: header
      name: x-api-key

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.